# SGE Documentation

This library is free software; you can redistribute it and/or modify it under the terms of the GNU Library General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version. This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details.

## Index

SGE Introduction
Beginners guide to SGE
Surface operations
Color manipulation
Pixel operations
Figures
Text management
  TrueType font rendering
  Bitmap font rendering
  Text classes
Surface and sprite classes
Basic collision detection
Surface rotation/scaling routines
Polygons and some texture mapping
Misc. functions
Macros
Thanks

SGE:s Homepage

Copyright © 1999-2003 Anders Lindström
Last updated 030806